package ai.pai.lensman.session;

import ai.pai.lensman.base.BasePresenter;
import ai.pai.lensman.base.BaseView;
import ai.pai.lensman.bean.PhotoBean;

/**
 * Created by chengzhenyu on 2016/7/7.
 */
public class SessionContract {

    interface View extends BaseView{
        void addNewPhoto(PhotoBean bean);
        void showPhotoRecyclerView();
        void showEmptyView();
        void showToast(String toast);
    }

    interface Presenter extends BasePresenter{
        void swipeToDeletePhoto(int index);
    }
}
